#ifdef __cplusplus
extern "C" {
#endif

#ifndef __DPMI_H
#include <dpmi.h>
#endif

#ifndef __STDDEF_H
#include <stddef.h>
#endif


void       _RTL_FUNC __clearxcept(void);
int        _RTL_FUNC __setxcept(int num, void *routine);
void       _RTL_FUNC __lockregion(void *start, void *end); 
int        _RTL_FUNC __nametodta(char *name, int pos);
int        _RTL_FUNC __buftodta(unsigned char *buf, int len);
int        _RTL_FUNC __dtatobuf(unsigned char *buf, int len);
int        _RTL_FUNC __doscall(int func, DPMI_REGS *regs);
void __swPutChar(void **buf, wchar_t ch, int wide);
wchar_t __swGetChar(void **buf, int wide);
void __swMovePointer(void **buf, int offs, int wide);

#ifdef __cplusplus
};
#endif
